Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class Dom4jAccessor.Dom4jSetter

    java.lang.Object
      org.hibernate.property.Dom4jAccessor.Dom4jSetter

All Implemented Interfaces:
  Serializable, Setter

Direct Known Subclasses:
  Dom4jAccessor.AttributeSetter, Dom4jAccessor.ElementAttributeSetter, Dom4jAccessor.ElementSetter, Dom4jAccessor.TextSetter

Enclosing class:
  Dom4jAccessor

    public abstract static class Dom4jAccessor.Dom4jSetter

extends Object
implements Setter

See Also:
  Serialized Form

Field Summary
`protected Type` | `propertyType`

Method Summary
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.property.Setter
`set`

Field Detail

### propertyType

    protected final Type propertyType

Method Detail

### getMethodName

    public String getMethodName()

  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Setter`

### getMethod

    public Method getMethod()

  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Setter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.